<?php

namespace General\Models\Order;

use General\Models\Report\ReportUserBindRecord;
use General\Models\Report\ReportUserChargeRecord;
use Illuminate\Database\Eloquent\Model;

/**
 * @property ReportUserChargeRecord $reportOrder
 * @property User $user
 * @property ReportUserBindRecord $reportUser
 */
class Order extends Model
{
    protected $table = 'orders';

    protected $fillable = [
        'distribution_channel_id',
        'uid',
        'created_at',
        'product_id',
        'price',
        'status',
        'pay_type',
        'trade_no',
        'pay_merchant_id',
        'servicer',
        'transaction_id',
        'pay_end_at',
        'create_ip',
        'send_order_id',
        'send_order_name',
        'activity_id'
    ];

    public function reportOrder()
    {
        return $this->hasOne(
            ReportUserChargeRecord::class,
            'order_no',
            'trade_no'
        );
    }

    public function user()
    {
        return $this->hasOne(
            User::class,
            'id',
            'uid'
        );
    }

    public function reportUser()
    {
        return $this->hasOne(
            ReportUserBindRecord::class,
            'uid',
            'uid'
        );
    }
}
