<?php

namespace General\Services\Report;

use General\Models\Report\ReportUserBindRecord;

/**
 * 爱奇艺数据上报
 */
class IqiyiReport extends BaseReport
{
    public function __construct()
    {
        $this->charge_event_type = 200;
        $this->report_url = 'http://tc.cupid.iqiyi.com/dsp_lpapi';
    }

    public function getChargeQueryParams(ReportUserBindRecord $user, float $amount): array
    {
        return  [
            'link' => $user->link,
            'event_type' => $this->charge_event_type,
            'conv_time' => time(),
        ];
    }

    public function getRegisterQueryParams(ReportUserBindRecord $user): array
    {
        return [];
    }
}
