<?php

namespace General\Services\Report;

use General\Models\Report\ReportUserBindRecord;
use App\Consts\BaseConst;

/**
 * 抖音数据上报
 */
class TiktokReport extends BaseReport
{
    public function __construct()
    {
        $this->charge_event_type = 2;
        $this->report_url = 'https://ad.toutiao.com/track/activate';
    }

    public function getChargeQueryParams(ReportUserBindRecord $user, float $amount): array
    {
        return  [
            'link' => $user->link,
            'event_type' => $this->charge_event_type,
            'conv_time' => time(),
            'source' => BaseConst::Platform,
        ];
    }

    public function getRegisterQueryParams(ReportUserBindRecord $user): array
    {
        return [];
    }
}
